



**Author：** HGBS

**E-mail：**16210700112@fudan.edu.cn

**Git:** http://choppy.3steps.cn/LiXiangNan/hrd_score.git

**Last Updates:** 23/01/2019



### 安装指南

```bash
# 激活choppy环境
source activate choppy-latest
# 安装app
choppy install LiXiangNan/hrd_score
```

### APP概述

HRD_score APP是一个用于计算乳腺癌病人HRD score (Homologous Recombination Deficient score) 的软件，是由LOH (loss of heterozygosity), TAI (telomeric allelic imbalance), LST (large-scale state transitions)三个值相加得出。在临床上，HRD score与病人乳腺癌患者对药物的响应相关。

关于HRD score, LOH, TAI与LST相关信息请参见相关文献：

1. HRD score: http://clincancerres.aacrjournals.org/content/22/15/3764
2. LOH: https://www.nature.com/articles/bjc2012451
3. TAI: http://cancerdiscovery.aacrjournals.org/cgi/pmidlookup?view=long&pmid=22576213
4. LST: http://cancerres.aacrjournals.org/content/72/21/5454.long

### 参数说明

查看帮助文档：

输入Rscript calculate_HRD.R --help

```bash
$ Rscript calculate_HRD.R --help
Arguments:
      --out_dir=out_directory             The output directory
      --Tumor_LogR_file=tumor_LogR        The output tumor LogR file from ascatNgs
      --Tumor_BAF_file=tumor_BAF          The output tumor BAF file from ascatNgs
      --Germline_LogR_file=Normal_LogR    The output normal LogR file from ascatNgs
      --Germline_BAF_file=Normal_BAF      The output normal BAF file from ascatNgs
      --HRD_file_prefix=prefix            The name prefix of HRD score results
      --help                              Print help information
      
       Except --help, The other parameters must be set in orders!
```

### 输入与输出：

输入文件为ascatNgs输出的LogR及BAF文件，如：

```bash
*.tumour.LogR.txt	为tumor样本LogR文件
*.normal.LogR.txt	为normal样本LogR文件
*.tumour.BAF.txt	为tumor样本BAF文件
*.normal.BAF.txt	为normal样本BAF文件
```

LogR文件说明：

LogR（Log R Ratio）文件记录一个样本特定SNP的位置信息及该位点的Log R ratio，Log R ratio为某个SNP位点观测到的总intensity与intensity理论值的比值的log2转换，格式如下：

```
			Chr		Position	sample_name
rs62635286	1		13116		0.2895
rs75454623	1		14930		-0.1381
rs806731	1		30923		NA
rs200943160	1		49298		0.7896
```

BAF（B allele frequency）文件记录一个样本特定SNP的位置信息及该位点的B allele frequency，B allele frequency为某个SNP位点等位基因B与等位基因A标准化后的intensity的比值，格式如下：

```
			Chr		Position	sample_name
rs62635286	1		13116		0.8
rs75454623	1		14930		0.4211
rs806731	1		30923		0
rs200943160	1		49298		0.0909
```

输出文件后缀为.txt文件，包含该样本的HRD score，格式如下：

```bash
HRD_score	42
```

关于Log R ratio及B allele frequency的详细信息，请参见Illumina技术手册：

https://www.illumina.com/Documents/products/technotes/technote_cytoanalysis.pdf

### 提交任务

```bash
choppy Rscript calculate_HRD.R --out_dir=out_directory --Tumor_LogR_file=tumor_LogR \
--Tumor_BAF_file=tumor_BAF --Tumor_BAF_file=tumor_BAF --Germline_BAF_file=Normal_BAF \
--Germline_BAF_file=Normal_BAF
```

## 更多使用信息

详见[Choppy使用说明](http://docs.3steps.cn))